Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Terminal

  • Create terminal action

  • Search terminal actions

  • Get terminal action

  • Cancel terminal action

  • Dismiss terminal action

  • Create terminal checkout

  • Search terminal checkouts

  • Get terminal checkout

  • Cancel terminal checkout

  • Dismiss terminal checkout

  • Create terminal refund

  • Search terminal refunds

  • Get terminal refund

  • Cancel terminal refund

  • Dismiss terminal refund

  • Webhooks

  • terminal.action.created

  • terminal.action.updated

  • terminal.checkout.created

  • terminal.checkout.updated

  • terminal.refund.created

  • terminal.refund.updated

<- Terminal API

Terminal API

All versions ->

Dismiss terminal refundBeta

POST

 /v2/terminals/refunds/{terminal_refund_id}/dismiss

Dismisses a Terminal refund request if the status and type of the request permits it.

Try in API Explorer
Link to section

Path parameters

Example code

Link to section

terminal_refund_id

string

Required

Unique ID for the TerminalRefund associated with the refund to be dismissed.

Link to section

Response fields

Link to section

errors

Information on errors encountered during the request.

Link to section

refund

Current state of the refund to be dismissed.

Link to section

Examples

All versions ->

POST /v2/terminals/refunds/{terminal_refund_id}/dismiss
curl https://connect.squareup.com/v2/terminals/refunds/terminal_refund_id0/dismiss \ -X POST \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{ "refund": { "id": "vjkNb2HD-xq5kiWWiJ7RhwrQnkxIn2N0l1nPZY", "payment_id": "xq5kiWWiJ7RhwrQnkxIn2N0l1nPZY", "amount_money": { "amount": 111, "currency": "CAD" }, "reason": "Returning item", "device_id": "47776348fd8b32b9", "deadline_duration": "PT5M", "status": "IN_PROGRESS", "created_at": "2023-11-30T16:16:39.299Z", "updated_at": "2023-11-30T16:16:57.863Z", "app_id": "APP_ID", "card": { "card_brand": "VISA", "last_4": "1111", "exp_month": 12, "exp_year": 2024, "fingerprint": "sq-1-ElNeDpZZqUBNDI7yNghyKO-o0yLXASp4qQDGIPtxnFvTTWoqdfdP6TV8gLsSxoztXA", "card_type": "DEBIT", "prepaid_type": "NOT_PREPAID", "bin": "411111" }, "order_id": "s8OMhQcpEp1b61YywlccSHWqUaQZY", "card_details": { "status": "CAPTURED", "card": { "card_brand": "VISA", "last_4": "1111", "exp_month": 12, "exp_year": 2024, "fingerprint": "sq-1-ElNeDpZZqUBNDI7yNghyKO-o0yLXASp3qQDGIPtxnFvTTWoqdfdP6TV9gLsSxoztXA", "card_type": "DEBIT", "prepaid_type": "NOT_PREPAID", "bin": "411111" }, "entry_method": "SWIPED", "cvv_status": "CVV_ACCEPTED", "avs_status": "AVS_ACCEPTED", "auth_result_code": "RNy6Lf", "statement_description": "SQ TREATS", "device_details": { "device_id": "f72dfb8e-4d65-4e56-aade-ec3fb8d33291", "device_installation_id": "0ef67d8e-61a3-4418-a0be-c143bfe6108d", "device_credential": { "token": "9BFDXEYKB7H8Y", "name": "Terminal API Device created on Nov 2, 2023" } }, "card_payment_timeline": { "authorized_at": "2023-11-30T16:15:06.645Z", "captured_at": "2023-11-30T16:15:13.272Z" } } } }